sc::HSOSHF(3)

NAME
sc::HSOSHF - HSOSHF is a Hartree-Fock specialization of HSOSSCF.

SYNOPSIS

#include <hsoshf.h>

Inherits sc::HSOSSCF.

  Public Methods
HSOSHF (StateIn &)
HSOSHF (const Ref< KeyVal > &)
~HSOSHF ()
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void print (std::ostream &o=ExEnv::out0()) const
Print information about the object.
void two_body_energy (double &ec, double &ex)
int value_implemented () const
Information about the availability of values, gradients, and hessians.
int gradient_implemented () const

  Protected Methods
void ao_fock (double accuracy)
void two_body_deriv (double *)

DETAILED DESCRIPTION

HSOSHF is a Hartree-Fock specialization of HSOSSCF.

MEMBER FUNCTION DOCUMENTATION

  void sc::HSOSHF::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::HSOSSCF.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.